Loading...
Searching...
No Matches
nta_stateless.h File Reference

NTA functions for stateless SIP processing. More...

`#include <sofia-sip/nta.h>`
Include dependency graph for nta_stateless.h:

Go to the source code of this file.

## Macros

#define | NTA_STATELESS_H
| Defined when <sofia-sip/nta_stateless.h> has been included.

## Functions

int | nta_msg_tsend (nta_agent_t *agent, msg_t *msg, url_string_t const *u, tag_type_t tag, tag_value_t value,...)
| Forward a request or response message.
int | nta_msg_mreply (nta_agent_t *agent, msg_t *reply, sip_t *sip, int status, char const *phrase, msg_t *req_msg, tag_type_t tag, tag_value_t value,...)
| Reply to a request message.
int | nta_msg_treply (nta_agent_t *self, msg_t *msg, int status, char const *phrase, tag_type_t tag, tag_value_t value,...)
| Reply to a request message.
int | nta_msg_ackbye (nta_agent_t *a, msg_t *msg)
| ACK and BYE an unknown 200 OK response to INVITE.

## Detailed Description

NTA functions for stateless SIP processing.

Author
  Pekka Pessi Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com

Date
  Created: Tue Sep 4 15:54:57 2001 ppessi

## Function Documentation

## nta_msg_ackbye()

int nta_msg_ackbye | ( | nta_agent_t * | agent,
|  | msg_t * | msg )

ACK and BYE an unknown 200 OK response to INVITE.

A UAS may still return a 2XX series response to client request after the client transactions has been terminated. In that case, the UAC can not really accept the call. This function was used to accept and immediately terminate such a call.

Deprecated
  This was a bad idea: see sf.net bug #1750691. It can be used to amplify DoS attacks. Let UAS take care of retransmission timeout and let it terminate the session. As of 1.12.7, this function just returns -1.

## nta_msg_mreply()

int nta_msg_mreply | ( | nta_agent_t * | agent,
|  | msg_t * | reply,
|  | sip_t * | sip,
|  | int | status,
|  | char const * | phrase,
|  | msg_t * | req_msg,
|  | tag_type_t | tag,
|  | tag_value_t | value,
|  |  | ... )

Reply to a request message.

Reply to a request message.

Note
  The ownership of msg is taken over by the function even if the function fails.

## nta_msg_treply()

int nta_msg_treply | ( | nta_agent_t * | agent,
|  | msg_t * | req_msg,
|  | int | status,
|  | char const * | phrase,
|  | tag_type_t | tag,
|  | tag_value_t | value,
|  |  | ... )

Reply to a request message.

Parameters

  agent | nta agent object
  req_msg | request message
  status | status code
  phrase | status phrase (may be NULL if status code is well-known)
  tag,value,... | optional additional headers terminated by TAG_END()

Return values

  0 | when succesful
  -1 | upon an error

Note
  The ownership of msg is taken over by the function even if the function fails.

## nta_msg_tsend()

int nta_msg_tsend | ( | nta_agent_t * | agent,
|  | msg_t * | msg,
|  | url_string_t const * | u,
|  | tag_type_t | tag,
|  | tag_value_t | value,
|  |  | ... )

Forward a request or response message.

Note
  The ownership of msg is taken over by the function even if the function fails.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.